


#include "FonctionsI2C.h"
#include "Platine.h"
#include "Parametres.h"



unsigned char g_EtatDuRetroeclairage = PLATINE_LCD_RETROECLAIRAGE;



unsigned char ChangerEtatRetroeclairage(unsigned char Commande)
{
	if(Commande == 0)	/* Si l'on souhaite teindre le rtroclairage */
	{
		if(g_EtatDuRetroeclairage == PLATINE_LCD_RETROECLAIRAGE)	/* Si le rtroclairage est dj teint */
		{
			return 0;
		}
		else	/* Si le rtroclairage n'est pas dj teint */
		{
			Ecrire(ADRESSE_EXPANSEUR, PLATINE_LCD_RETROECLAIRAGE);	/* Extinction du rtroclairage. */

			g_EtatDuRetroeclairage = PLATINE_LCD_RETROECLAIRAGE;	/* Enregistrement du nouvel tat du rtroclairage,
																	qui vient d'tre teint. */

			return 1;	
		}
	}
	else	/* Si l'on souhaite allumer le rtroclairage */
	{
		if(g_EtatDuRetroeclairage == 0x00)	/* Si le rtroclairage est dj allum */
		{
			return 0;
		}
		else	/* Si le rtroclairage n'est pas dj allum */
		{
			Ecrire(ADRESSE_EXPANSEUR, 0x00);	/* Allumage du rtroclairage. */

			g_EtatDuRetroeclairage = 0x00;	/* Enregistrement du nouvel tat du rtroclairage,
																	qui vient d'tre allum. */

			return 1;	
		}
	}
	return 1;
}


